Get all the account details (pooled, virtual, segregated)
curl --request GET \
--url https://{environment}.ebury.io/account-details/all \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/account-details/all"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/account-details/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/account-details/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/account-details/all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/account-details/all")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/account-details/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"account_id": "<string>",
"currency": "<string>",
"pooled_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "pooled",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"country": "<string>",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"status": "<string>"
}
],
"segregated_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
],
"virtual_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
]
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Account details
Get all the account details (pooled, virtual, segregated)
Retrieve the account details of the client all grouped together
GET
/
account-details
/
all
Get all the account details (pooled, virtual, segregated)
curl --request GET \
--url https://{environment}.ebury.io/account-details/all \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/account-details/all"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/account-details/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/account-details/all",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/account-details/all"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/account-details/all")
.header("Authorization", "<authorization>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/account-details/all")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"account_id": "<string>",
"currency": "<string>",
"pooled_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "pooled",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"country": "<string>",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"status": "<string>"
}
],
"segregated_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
],
"virtual_account_details": [
{
"account_details_id": "<string>",
"account_details_type": "<string>",
"account_holder_address": "<string>",
"account_holder_name": "<string>",
"account_id": "<string>",
"alias": "<string>",
"country": "<string>",
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"domestic": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"international": {
"account_number": "<string>",
"account_number_type": "<string>",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
},
"financial_institution_address": "<string>",
"financial_institution_name": "<string>",
"modified": "2023-11-07T05:31:56Z",
"primary": true,
"status": "<string>"
}
]
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Authorizations
An API Key.
Headers
The access token
Query Parameters
ID of the client that owns the account details
Minimum string length:
1